package svc

import (
	"mongo.games.com/game/dbproxy/mongo"
	"mongo.games.com/game/model"
)

func ClientLogStartCollection(platform string) *mongo.Collection {
	if platform == "" {
		platform = mongo.G_P
	}
	s := mongo.MgoSessionMgrSington.GetPltMgoSession(platform, model.ClientLogDBName)
	if s != nil {
		c_coinlogrec, first := s.DB().C(model.ClientLogCollName)
		if first {
			//c_coinlogrec.EnsureIndex(mgo.Index{Key: []string{"ts"}, Background: true, Sparse: true})
		}
		return c_coinlogrec
	}
	return nil
}
